# TODO: provide configurations for other configurations (e.g. x11)?
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
%bcond_without	gtk2		# wxGTK2 packages support
%bcond_without	gtk3		# wxGTK3 packages support
%bcond_without	ansi		# ANSI wx packages support
%bcond_without	unicode		# Unicode wx packages support
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Alien
%define		pnam	wxWidgets
Summary:	Alien::wxWidgets - building, finding and using wxWidgets binaries
Summary(pl.UTF-8):	Alien::wxWidgets - budowanie, znajdowanie i wykorzystywanie binariów wxWidgets
Name:		perl-Alien-wxWidgets
Version:	0.67
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Alien/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	510a7817fdaf59089b50a877a621d770
Patch0:		%{name}-nobuild.patch
URL:		http://search.cpan.org/dist/Alien-wxWidgets/
BuildRequires:	perl-ExtUtils-CBuilder >= 0.24
BuildRequires:	perl-Module-Build >= 0.28
BuildRequires:	perl-Module-Pluggable >= 3.1-4
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl(File::Spec) >= 1.50
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with gtk2}
%if %{with ansi}
BuildRequires:	wxGTK2-devel >= 2.6.3
BuildRequires:	wxGTK2-gl-devel >= 2.6.3
%endif
%if %{with unicode}
BuildRequires:	wxGTK2-unicode-devel >= 2.6.3
BuildRequires:	wxGTK2-unicode-gl-devel >= 2.6.3
%endif
%endif
%if %{with gtk3}
%if %{with ansi}
BuildRequires:	wxGTK3-devel >= 2.6.3
BuildRequires:	wxGTK3-gl-devel >= 2.6.3
%endif
%if %{with unicode}
BuildRequires:	wxGTK3-unicode-devel >= 2.6.3
BuildRequires:	wxGTK3-unicode-gl-devel >= 2.6.3
%endif
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		wx_ver		%(rpm -q wxWidgets-devel --qf '%%{VERSION}')
%define		wx_ver_tag	%(echo %{wx_ver} | tr . _)

%description
Alien::wxWidgets allows wxPerl to easily find information about your
wxWidgets installation. It can store this information for multiple
wxWidgets versions or configurations (debug, Unicode, etc.). It can
also build and install a private copy of wxWidgets as part of the
build process.

%description -l pl.UTF-8
Alien::wxWidgets pozwala wxPerlowi łatwo uzyskać informacje na temat
instalacji wxWidgets. Może przechowywać informacje o wielu wersjach
lub konfiguracjach (debug, Unicode, itp.). Może także zbudować i
zainstalować prywatną kopię wxWidgets jako część procesu budowania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
for toolkit in %{?with_gtk2:gtk2} %{?with_gtk3:gtk3} ; do
for charset in %{?with_ansi:ansi} %{?with_unicode:unicode} ; do
export WX_CONFIG=wx-${toolkit}-${charset}-config
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor \
	--wxWidgets-build=0

./Build

%{?with_tests:./Build test}
done
done

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorarch}/Alien
%{perl_vendorarch}/Alien/wxWidgets.pm
%dir %{perl_vendorarch}/Alien/wxWidgets
%{perl_vendorarch}/Alien/wxWidgets/Utility.pm
%dir %{perl_vendorarch}/Alien/wxWidgets/Config
%if %{with gtk2}
%if %{with ansi}
%{perl_vendorarch}/Alien/wxWidgets/Config/gtk2_%{wx_ver_tag}_gcc_3_4.pm
%endif
%if %{with unicode}
%{perl_vendorarch}/Alien/wxWidgets/Config/gtk2_%{wx_ver_tag}_uni_gcc_3_4.pm
%endif
%endif
%if %{with gtk3}
# should be gtk3_*.pm?
%if %{with ansi}
%{perl_vendorarch}/Alien/wxWidgets/Config/gtk_%{wx_ver_tag}_gcc_3_4.pm
%endif
%if %{with unicode}
%{perl_vendorarch}/Alien/wxWidgets/Config/gtk_%{wx_ver_tag}_uni_gcc_3_4.pm
%endif
%endif
%{_mandir}/man3/Alien::wxWidgets*.3pm*
%changelog
* Thu Aug 30 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Alien-wxWidgets.git;a=log;h=master

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 5c7b8a4
- rebuild with perl 5.28.0
- release 6 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> cde1ea5
- perl req/prov fix
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 60c977a
- rebuild with perl 5.26
- release 4 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> aaa9db9
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 046aaa6
- release 2 (by relup.sh)

* Tue Jun 09 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7359d90
- up to 0.67

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 9168b58
- x32 rebuild
- release 3 (by relup.sh)

* Sun Jan 11 2015 Jakub Bogusz <qboosh@pld-linux.org> e2f6902
- release 2

* Sat Jan 10 2015 Jakub Bogusz <qboosh@pld-linux.org> b8fac70
- provide configurations for different wxWidgets configurations

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 6496b06
- up to 0.65

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0c12cbd
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> bbafe7e
- rel 2

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 29d3d17
- updated to 0.64

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 85bb3c5
- up to 0.64

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0621936
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 97046a8
- release 2

* Mon Oct 26 2009 amateja <amateja@pld-linux.org> 07e4f59
- updated to 0.45

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> d95f296
- updated to 0.44

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 7eaf1ef
- adjusted for 0.44

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> 6952f34
- adjusted for 0.43

